子顺 发表于 2002-7-22 16:04:00

to 斑竹,请帮忙

各位高手,请为如何求得的两个实体的交点(比如一条直线实体a,和一个圆实体b的交点)。要使用什么命令。此命令如何使用呢。请速教我,急!急!急!急!

wxj351 发表于 2002-7-22 23:41:00

re

virtual Acad::ErrorStatus
intersectWith(
    const AcDbEntity* pEnt,
    AcDb::Intersect intType,
    AcGePoint3dArray& points,
    int thisGsMarker = 0,

    int otherGsMarker= 0) const;

pEnt        Input entity with which "this" entity is to intersect
intType        Input type of intersection requested
points        Output with the points of intersection appended
thisGsMarker        Input GS marker of subentity of "this" entity that's involved in the intersection operation. Use the 0 default if not applicable.
otherGsMarker        Input GS marker of subentity of the entity pointed to by pEnt that's involved in the intersection operation. Use the 0 default if not applicable.

Function usage
It finds the intersections of the entity pointed to by pEnt and all the edges of the bounding box of this entity.
The intType is used to determine how to deal with extending the two entities in order to calculate intersections. The possible AcDb::Intersect values are:

Value        Meaning
AcDb::kOnBothOperands        Do not extend either entity. This results in only calculating intersections where the two entitys' geometry actually intersect
AcDb::kExtendThis        Extend this entity (if necessary) when calculating intersections, but do not extend the pEnt entity.
AcDb::kExtendArg        Extend the pEnt entity (if necessary) when calculating intersections, but do not extend this entity.
AcDb::kExtendBoth        Extend both the pEnt entity and this entity (if necessary) when calculating intersections
页: [1]
查看完整版本: to 斑竹,请帮忙